PHP Manual
Prev |  | Next

# ora_rollback

(PHP 3, PHP 4, PHP 5 <= 5.1.0RC1)

ora_rollback -- Rolls back a transaction

## Description

bool ora_rollback ( resource connection )

Rollbacks an Oracle transaction.

See ora_commit() for the definition of a transaction.

## Parameters

`connection`

  A connection identifier, opened with ora_logon().

## Return Values

Returns `TRUE` on success or `FALSE` on failure. Details about the error can be retrieved using the ora_error() and ora_errorcode() functions.

## ChangeLog

Version | Description
--- | ---
5.1.0 | The oracle extension is deprecated in favor of oci8.

## Notes

When using oci8 as a replacement for the deprecated oracle extension, consider using:

oci_rollback()

Prev | Home | Next
ora_plogon | Up | Oracle Functions (PDO_OCI)